## net.i2p.router
Class SessionKeyPersistenceHelper

    java.lang.Object
      net.i2p.router.SessionKeyPersistenceHelper

All Implemented Interfaces:
  Service

    public class SessionKeyPersistenceHelper

extends java.lang.Object
implements Service

Centralize the sessionKeyManager persistence (rather than leave it to a private job in the startup job)

Constructor Summary
`SessionKeyPersistenceHelper(RouterContext context)`

Method Summary
`void` `renderStatusHTML(java.io.Writer out)`
`void` `restart()` Perform a soft restart.
`void` `shutdown()` Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully.
`void` `startup()` Instruct the service that it should start normal operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionKeyPersistenceHelper

    public SessionKeyPersistenceHelper(RouterContext context)

Method Detail

### shutdown

    public void shutdown()

  Description copied from interface: `Service`
  Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully. It should not depend on other components at this point. This call DOES block.

  Specified by:
    `shutdown` in interface `Service`

### restart

    public void restart()

  Description copied from interface: `Service`
  Perform a soft restart.

  Specified by:
    `restart` in interface `Service`

### startup

    public void startup()

  Description copied from interface: `Service`
  Instruct the service that it should start normal operation. This call DOES block until the service is ready.

  Specified by:
    `startup` in interface `Service`

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out)

  Specified by:
    `renderStatusHTML` in interface `Service`